---
title: AbstractRange.startOffset
slug: Web/API/AbstractRange/startOffset
tags:
  - API
  - AbstractRange
  - DOM
  - DOM API
  - Property
  - Range
  - Read-only
  - Reference
  - offset
  - startOffset
---
<p>{{APIRef("DOM")}}</p>

<p><span class="seoSummary">The read-only <strong><code>startOffset</code></strong> property of the {{domxref("AbstractRange")}} interface returns the offset into the start node of the range's start position.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>var startOffset = range</em>.startOffset
</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the number of characters into the {{domxref("Node")}} indicated by {{domxref("AbstractRange.startContainer", "startContainer")}} at which the first character of the range is located.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-startoffset', 'startOffset')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-AbstractRange-startoffset','startOffset')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AbstractRange.startOffset")}}</p>
</div>
